# ==================================================================
# Plugins::UI - Auto Generated Install Module
#
#   Plugins::UI
#   Author  : Bao Phan
#   Version : 1.0
#   Updated : Tue Mar 15 12:59:20 2016
#
# ==================================================================
#

package Plugins::UI;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '1.0';
$DEBUG   = 0;
$NAME    = 'UI';
# Inhert from base class for debug and error methods
@Plugins::UI::ISA = qw(GT::Base);

$META = {
    'author' => 'Bao Phan',
    'description' => '',
    'license' => 'Freeware',
    'prog_ver' => '3.3.0',
    'url' => '',
    'version' => '1.0'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::UI::error
#
    my ($mgr, $tar) = @_;
    
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::UI::error
#
    my $mgr = shift;
    
    ;
    return "The plugin has been successfully removed!";
}

1;
