# ==================================================================
# GList::Plugins::SubscribersMod - Auto Generated Install Module
#
#   GList::Plugins::SubscribersMod
#   Author  : Virginia Lo
#   Version : 1
#   Updated : Wed Jun  4 12:24:28 2008
#
# ==================================================================
#

package GList::Plugins::SubscribersMod;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use GList qw/$IN $DB $CFG/;

$VERSION = '1';
$DEBUG   = 0;
$NAME    = 'SubscribersMod';
# Inhert from base class for debug and error methods
@GList::Plugins::SubscribersMod::ISA = qw(GT::Base);

$META = {
    'author' => 'Virginia Lo',
    'description' => '',
    'license' => 'Other',
    'prog_ver' => '1.1.1',
    'url' => 'http://www.gossamer-threads.com',
    'version' => '1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GList::Plugins::SubscribersMod::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('SubscribersMod', [['lst_sub_modify', 'PRE', 'GList::Plugins::SubscribersMod::lst_sub_modify', '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $GList::Plugins::SubscribersMod::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('SubscribersMod', [['lst_sub_modify', 'PRE', 'GList::Plugins::SubscribersMod::lst_sub_modify', '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
