<?PHP 

include("config.php");

if(!is_logged_in($user)){ 
  header('Location: '.$site_url);
  exit(); 
}

$useruid = base64_decode($_SESSION['user_id']);

// set the page title
$pagetitle = "Add an Slowtwitch Road Show Event";

// set meta tags
$meta_keywords = "add slowtwitch road show";
$meta_description = "Do you want to include a slowtwitch road show in our online slowtwitch road show database? Then use this form to send us your information, and we will add it to our website.";

?>

<?  
if($_POST[add_roadshow] == true){
  include("add_X.php");
}
?>

<? include("include_common_head.php"); ?>

<body class="listings">
  <? include($common_path . "/ads/ad_wallpaper.html"); ?>

  <div class="container">
    <? include($common_path . "/templates/include_header.php"); ?>
    <div class="main">
      <div class="contentwrapper clearfix">
        <? include("include_breadcrumb.php"); ?>

        <section class="section listings section-has-widgets section-static remove-sidebar">
          <div class="sidebar-b">
            <? include("include_sidebar.php"); ?>
          </div>

          <div class="content content-has-widgets">
            <div class="grid">

              <div class="clearfix">
                <? if ( $insert_success == true || $_GET[confirmed] == "yes" ) { ?>
                    <h1>Thank you</h1>
                    <p class="cont">Thank you. Your slowtwitch road show information should be added within 24 hours. You will now be redirected back to the add page.</p>
                    <META HTTP-EQUIV=Refresh CONTENT="4; URL=add.php">
                    <? 
                        unset($insert_success);
                        unset($confirm_roadshow);
                    ?>
                    <? } else if( $confirm_roadshow == true ) { ?>
                    <h1>Add a Slowtwitch Road Show Event: Step 2 of 2</h1>
                    <? } else if( ($confirm_roadshow != true) || ($_POST[add_roadshow] != true) ){ ?>
                    <h1>Add a Slowtwitch Road Show Event: Step 1 of 2</h1>
                    <hr class="line">

                    <? if (!$errmsg) { ?>
                    <p class="cont">If you would like to add a slowtwitch road show to our website, simply fill out the form below. Be sure to fill out every field. After filling out each field, click submit. <span style="color: red;">You will then be prompted to confirm your information before the information is sent to us.</span></p>
                    <? } else { ?>
                    <p class="cont"><span style="color: red;"><? echo $errmsg; ?></span></p>
                    <? } ?>
                <? } ?> 
                <? if( (($_POST[add_roadshow] != true) || ($errmsg) || (($confirm_roadshow != true) && ($_POST[insert_roadshow] != true))) && $_GET[confirmed] != "yes") { ?>
                <form enctype="multipart/form-data" action="add.php" method="post">
                    <div class="dtable form">
                        <div class="drow">
                            <div class="dcell name">Name</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes($_POST[name]); ?>" type="text" name="name"  maxlength="80" class="txt lngtext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Event Date</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <select name="month">
                                    <option value="0">Month
                                    <option value="01" <? if(strcmp($_POST[month], "01") == 0){ echo ("selected"); } ?>>January
                                    <option value="02" <? if(strcmp($_POST[month], "02") == 0){ echo ("selected"); } ?>>February
                                    <option value="03" <? if(strcmp($_POST[month], "03") == 0){ echo ("selected"); } ?>>March
                                    <option value="04" <? if(strcmp($_POST[month], "04") == 0){ echo ("selected"); } ?>>April
                                    <option value="05" <? if(strcmp($_POST[month], "05") == 0){ echo ("selected"); } ?>>May
                                    <option value="06" <? if(strcmp($_POST[month], "06") == 0){ echo ("selected"); } ?>>June
                                    <option value="07" <? if(strcmp($_POST[month], "07") == 0){ echo ("selected"); } ?>>July
                                    <option value="08" <? if(strcmp($_POST[month], "08") == 0){ echo ("selected"); } ?>>August
                                    <option value="09" <? if(strcmp($_POST[month], "09") == 0){ echo ("selected"); } ?>>September
                                    <option value="10" <? if(strcmp($_POST[month], "10") == 0){ echo ("selected"); } ?>>October
                                    <option value="11" <? if(strcmp($_POST[month], "11") == 0){ echo ("selected"); } ?>>November
                                    <option value="12" <? if(strcmp($_POST[month], "12") == 0){ echo ("selected"); } ?>>December
                                </select>
                                <select name="day">
                                    <option value="0">Day
                                    <option value="01" <? if(strcmp($_POST[day], "01") == 0){ echo ("selected"); } ?>>1
                                    <option value="02" <? if(strcmp($_POST[day], "02") == 0){ echo ("selected"); } ?>>2
                                    <option value="03" <? if(strcmp($_POST[day], "03") == 0){ echo ("selected"); } ?>>3
                                    <option value="04" <? if(strcmp($_POST[day], "04") == 0){ echo ("selected"); } ?>>4
                                    <option value="05" <? if(strcmp($_POST[day], "05") == 0){ echo ("selected"); } ?>>5
                                    <option value="06" <? if(strcmp($_POST[day], "06") == 0){ echo ("selected"); } ?>>6
                                    <option value="07" <? if(strcmp($_POST[day], "07") == 0){ echo ("selected"); } ?>>7
                                    <option value="08" <? if(strcmp($_POST[day], "08") == 0){ echo ("selected"); } ?>>8
                                    <option value="09" <? if(strcmp($_POST[day], "09") == 0){ echo ("selected"); } ?>>9
                                    <option value="10" <? if(strcmp($_POST[day], "10") == 0){ echo ("selected"); } ?>>10
                                    <option value="11" <? if(strcmp($_POST[day], "11") == 0){ echo ("selected"); } ?>>11
                                    <option value="12" <? if(strcmp($_POST[day], "12") == 0){ echo ("selected"); } ?>>12
                                    <option value="13" <? if(strcmp($_POST[day], "13") == 0){ echo ("selected"); } ?>>13
                                    <option value="14" <? if(strcmp($_POST[day], "14") == 0){ echo ("selected"); } ?>>14
                                    <option value="15" <? if(strcmp($_POST[day], "15") == 0){ echo ("selected"); } ?>>15
                                    <option value="16" <? if(strcmp($_POST[day], "16") == 0){ echo ("selected"); } ?>>16
                                    <option value="17" <? if(strcmp($_POST[day], "17") == 0){ echo ("selected"); } ?>>17
                                    <option value="18" <? if(strcmp($_POST[day], "18") == 0){ echo ("selected"); } ?>>18
                                    <option value="19" <? if(strcmp($_POST[day], "19") == 0){ echo ("selected"); } ?>>19
                                    <option value="20" <? if(strcmp($_POST[day], "20") == 0){ echo ("selected"); } ?>>20
                                    <option value="21" <? if(strcmp($_POST[day], "21") == 0){ echo ("selected"); } ?>>21
                                    <option value="22" <? if(strcmp($_POST[day], "22") == 0){ echo ("selected"); } ?>>22
                                    <option value="23" <? if(strcmp($_POST[day], "23") == 0){ echo ("selected"); } ?>>23
                                    <option value="24" <? if(strcmp($_POST[day], "24") == 0){ echo ("selected"); } ?>>24
                                    <option value="25" <? if(strcmp($_POST[day], "25") == 0){ echo ("selected"); } ?>>25
                                    <option value="26" <? if(strcmp($_POST[day], "26") == 0){ echo ("selected"); } ?>>26
                                    <option value="27" <? if(strcmp($_POST[day], "27") == 0){ echo ("selected"); } ?>>27
                                    <option value="28" <? if(strcmp($_POST[day], "28") == 0){ echo ("selected"); } ?>>28
                                    <option value="29" <? if(strcmp($_POST[day], "29") == 0){ echo ("selected"); } ?>>29
                                    <option value="30" <? if(strcmp($_POST[day], "30") == 0){ echo ("selected"); } ?>>30
                                    <option value="31" <? if(strcmp($_POST[day], "31") == 0){ echo ("selected"); } ?>>31
                                </select>
                                <select name="year">
                                    <option value="2016" select="selected">2016
                                    <option value="2017">2017
                                    <option value="2018">2018
                                </select>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Start Time</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <select name="hour">
                                    <option value="01" <? if(strcmp($_POST[hour], "01") == 0){ echo ("selected"); } ?>>1
                                    <option value="02" <? if(strcmp($_POST[hour], "02") == 0){ echo ("selected"); } ?>>2
                                    <option value="03" <? if(strcmp($_POST[hour], "03") == 0){ echo ("selected"); } ?>>3
                                    <option value="04" <? if(strcmp($_POST[hour], "04") == 0){ echo ("selected"); } ?>>4
                                    <option value="05" <? if(strcmp($_POST[hour], "05") == 0){ echo ("selected"); } ?>>5
                                    <option value="06" <? if(strcmp($_POST[hour], "06") == 0){ echo ("selected"); } ?>>6
                                    <option value="07" <? if(strcmp($_POST[hour], "07") == 0){ echo ("selected"); } ?>>7
                                    <option value="08" <? if(strcmp($_POST[hour], "08") == 0){ echo ("selected"); } ?>>8
                                    <option value="09" <? if(strcmp($_POST[hour], "09") == 0){ echo ("selected"); } ?>>9
                                    <option value="10" <? if(strcmp($_POST[hour], "10") == 0){ echo ("selected"); } ?>>10
                                    <option value="11" <? if(strcmp($_POST[hour], "11") == 0){ echo ("selected"); } ?>>11
                                    <option value="12" <? if(strcmp($_POST[hour], "12") == 0){ echo ("selected"); } ?>>12
                                </select>
                                :
                                <select name="minute">
                                    <option value="00" <? if(strcmp($_POST[minute], "00") == 0){ echo ("selected"); } ?>>00
                                    <option value="05" <? if(strcmp($_POST[minute], "05") == 0){ echo ("selected"); } ?>>05
                                    <option value="10" <? if(strcmp($_POST[minute], "10") == 0){ echo ("selected"); } ?>>10
                                    <option value="15" <? if(strcmp($_POST[minute], "15") == 0){ echo ("selected"); } ?>>15
                                    <option value="20" <? if(strcmp($_POST[minute], "20") == 0){ echo ("selected"); } ?>>20
                                    <option value="25" <? if(strcmp($_POST[minute], "25") == 0){ echo ("selected"); } ?>>25
                                    <option value="30" <? if(strcmp($_POST[minute], "30") == 0){ echo ("selected"); } ?>>30
                                    <option value="35" <? if(strcmp($_POST[minute], "35") == 0){ echo ("selected"); } ?>>35
                                    <option value="40" <? if(strcmp($_POST[minute], "40") == 0){ echo ("selected"); } ?>>40
                                    <option value="45" <? if(strcmp($_POST[minute], "45") == 0){ echo ("selected"); } ?>>45
                                    <option value="50" <? if(strcmp($_POST[minute], "50") == 0){ echo ("selected"); } ?>>50
                                    <option value="55" <? if(strcmp($_POST[minute], "55") == 0){ echo ("selected"); } ?>>55
                                </select>
                                <select name="daypart">
                                    <option value="0" <? if(strcmp($_POST[daypart], "0") == 0){ echo ("selected"); } ?>>AM
                                    <option value="1" <? if(strcmp($_POST[daypart], "1") == 0){ echo ("selected"); } ?>>PM
                                </select>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Street Address</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input value="<? echo stripslashes(htmlspecialchars($_POST[address])); ?>" type="text" name="address" maxlength="100" class="txt lngtext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Street Address Two (optional)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[address_two])); ?>" type="text" name="address_two"  maxlength="100" class="txt lngtext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">City</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[city])); ?>" type="text" name="city" maxlength="100" class="txt shotext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">State</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <SELECT name="state">
                                    <OPTION value="0">Choose a State/Province/Country</OPTION>
                                    <? //use loop for dropdown box of states
                                    foreach($state_list as $key=>$value){
                                       if(strcmp($_POST[state], $value) == 0){
                                          $str = " selected=\"selected\"";
                                       }
                                       echo "<option value=\"$value\"$str>$value</option>";
                                       $str = "";
                                    }
                                    ?>
                                </SELECT>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Zip/Postal Code</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[zip])); ?>" type="text" name="zip" maxlength="100" class="txt shotext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Override Address With Lat/Lng</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="true" type="checkbox" name="latlng_override" <? if ($_POST[latlng_override] == true) { echo ("checked"); }?> class="txt medtext" ><br><small>Check this if you know your physical address doesn't geocode properly using Google's API. Then enter the desired lat/lng in the boxes below.</small>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Latitude</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[lat])); ?>" type="text" name="lat" maxlength="100" class="txt shotext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Longitude</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[lng])); ?>" type="text" name="lng" class="txt shotext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Phone</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[phone])); ?>" type="text" name="phone" class="txt shotext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Fax/Alternate Phone</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[fax])); ?>" type="text" name="fax" class="txt shotext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">E-mail</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[email])); ?>" type="text" name="email" class="txt lngtext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Website (include http://)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo $_POST[website]; ?>" type="text" name="website" class="txt lngtext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name"></div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <h3>Local Assets</h3>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Slowtwitch Ambassador(s)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="radio" name="stambassador" value="0"  <? if ($_POST[stambassador] == 0){ echo 'checked'; } ?>>None
                                <input type="radio" name="stambassador" value="1"  <? if ($_POST[stambassador] == 1){ echo 'checked'; } ?>>Yes, Their Names:
                                <input value="<? echo stripslashes($_POST[stambassador_names]); ?>" type="text" name="stambassador_names" class="txt shotext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Tri Club(s)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="radio" name="triclub" value="0"  <? if ($_POST[triclub] == 0){ echo 'checked'; } ?>>None
                                <input type="radio" name="triclub" value="1"  <? if ($_POST[triclub] == 1){ echo 'checked'; } ?>>Yes, Their Names:
                                <input value="<? echo stripslashes($_POST[triclub_names]); ?>" type="text" name="triclub_names" class="txt shotext">
                                <? 
                                // tri_triclub[] -- can we use an array here?
                                // ALSO, we need to check to see if names are entered, and if so, then set the radio buttons accordingly. 
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Coach(es)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="radio" name="coach" value="0"  <? if ($_POST[coach] == 0){ echo 'checked'; } ?>>None
                                <input type="radio" name="coach" value="1"  <? if ($_POST[coach] == 1){ echo 'checked'; } ?>>Yes, Their Names:
                                <input value="<? echo stripslashes($_POST[coach_names]); ?>" type="text" name="coach_names" class="txt shotext">
                                <? 
                                // tri_coach[] -- can we use an array here?
                                // ALSO, we need to check to see if names are entered, and if so, then set the radio buttons accordingly. 
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Race Director(s)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="radio" name="racedirector" value="0"  <? if ($_POST[racedirector] == 0){ echo 'checked'; } ?>>None
                                <input type="radio" name="racedirector" value="1"  <? if ($_POST[racedirector] == 1){ echo 'checked'; } ?>>Yes, Their Names:
                                <input value="<? echo stripslashes($_POST[racedirector_names]); ?>" type="text" name="racedirector_names" class="txt shotext">
                                <? 
                                // tri_racedirector[] -- can we use an array here?
                                // ALSO, we need to check to see if names are entered, and if so, then set the radio buttons accordingly. 
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Brewery(ies)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="radio" name="brewery" value="0"  <? if ($_POST[brewery] == 0){ echo 'checked'; } ?>>None
                                <input type="radio" name="brewery" value="1"  <? if ($_POST[brewery] == 1){ echo 'checked'; } ?>>Yes, Their Names:
                                <input value="<? echo stripslashes($_POST[brewery_names]); ?>" type="text" name="brewery_names" class="txt shotext">
                                <? 
                                // tri_brewery[] -- can we use an array here?
                                // ALSO, we need to check to see if names are entered, and if so, then set the radio buttons accordingly. 
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Other</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[local])); ?>" type="text" name="local" class="txt lngtext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Fit Bikes</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[fitbike])){ $explosion = explode(",", $_POST[fitbike]); } else { $explosion = $_POST[fitbike]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceFitbike ORDER BY fitbike_name ASC");
                                
                                echo("<input type=\"hidden\" name=\"fitbike[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"fitbike[]\" value=\"$row[fitbike_id]\" ");
                                    if (in_array($row[fitbike_id], $explosion)){ echo "checked "; }
                                    echo(">$row[fitbike_name]</span>");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Saddle Quick Change</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[saddlechange])){ $explosion = explode(",", $_POST[saddlechange]); } else { $explosion = $_POST[saddlechange]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceSaddlechange ORDER BY saddlechange_name ASC");
                                echo("<input type=\"hidden\" name=\"saddlechange[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"saddlechange[]\" value=\"$row[saddlechange_id]\" ");
                                    if (in_array($row[saddlechange_id], $explosion)){ echo "checked "; }
                                    echo(">$row[saddlechange_name]</span>");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Motion Capture Systems</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[motioncapture])){ $explosion = explode(",", $_POST[motioncapture]); } else { $explosion = $_POST[motioncapture]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceMotioncapture ORDER BY motioncapture_name ASC");
                                $i = 0;
                                echo("<input type=\"hidden\" name=\"motioncapture[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"motioncapture[]\" value=\"$row[motioncapture_id]\" ");
                                    if (in_array($row[motioncapture_id], $explosion)){ echo "checked "; }
                                    echo(">$row[motioncapture_name]</span>");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Custom Footbeds</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[footbed])){ $explosion = explode(",", $_POST[footbed]); } else { $explosion = $_POST[footbed]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceCustomfootbed ORDER BY footbed_name ASC");
                                echo("<input type=\"hidden\" name=\"footbed[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"footbed[]\" value=\"$row[footbed_id]\" ");
                                    if (in_array($row[footbed_id], $explosion)){ echo "checked "; }
                                    echo(">$row[footbed_name]</span>\n");
                                }
                                
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name"></div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <h3>Brands</h3>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Tri Apparel</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[apparel_tri])){ $explosion = explode(",", $_POST[apparel_tri]); } else { $explosion = $_POST[apparel_tri]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceApparelTri ORDER BY apparel_tri_name ASC");
                                echo("<input type=\"hidden\" name=\"apparel_tri[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"apparel_tri[]\" value=\"$row[apparel_tri_id]\" ");
                                    if (in_array($row[apparel_tri_id], $explosion)){ echo "checked "; }
                                    echo(">$row[apparel_tri_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bike])){ $explosion = explode(",", $_POST[bike]); } else { $explosion = $_POST[bike]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBike ORDER BY bike_name ASC");
                                echo("<input type=\"hidden\" name=\"bike[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bike[]\" value=\"$row[bike_id]\" ");
                                    if (in_array($row[bike_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bike_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike Saddles/Footwear/Aerobars/Bike Hydration</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bikeaccessory])){ $explosion = explode(",", $_POST[bikeaccessory]); } else { $explosion = $_POST[bikeaccessory]; }
                                
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBikeAccessory ORDER BY bikeaccessory_name ASC");
                                echo("<input type=\"hidden\" name=\"bikeaccessory[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bikeaccessory[]\" value=\"$row[bikeaccessory_id]\" ");
                                    if (in_array($row[bikeaccessory_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bikeaccessory_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike Helmets/Eyewear</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bikehelmet])){ $explosion = explode(",", $_POST[bikehelmet]); } else { $explosion = $_POST[bikehelmet]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBikeHelmet ORDER BY bikehelmet_name ASC");
                                echo("<input type=\"hidden\" name=\"bikehelmet[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bikehelmet[]\" value=\"$row[bikehelmet_id]\" ");
                                    if (in_array($row[bikehelmet_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bikehelmet_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike Nutritionals/Lubricants/Botanicals</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bikebody])){ $explosion = explode(",", $_POST[bikebody]); } else { $explosion = $_POST[bikebody]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBikeBody ORDER BY bikebody_name ASC");
                                echo("<input type=\"hidden\" name=\"bikebody[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bikebody[]\" value=\"$row[bikebody_id]\" ");
                                    if (in_array($row[bikebody_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bikebody_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike Stationary Trainers</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[biketrainer])){ $explosion = explode(",", $_POST[biketrainer]); } else { $explosion = $_POST[biketrainer]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBikeTrainer ORDER BY biketrainer_name ASC");
                                echo("<input type=\"hidden\" name=\"biketrainer[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"biketrainer[]\" value=\"$row[biketrainer_id]\" ");
                                    if (in_array($row[biketrainer_id], $explosion)){ echo "checked "; }
                                    echo(">$row[biketrainer_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike Electronics/Cameras/Metrics</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bikeelectronic])){ $explosion = explode(",", $_POST[bikeelectronic]); } else { $explosion = $_POST[bikeelectronic]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBikeElectronic ORDER BY bikeelectronic_name ASC");
                                echo("<input type=\"hidden\" name=\"bikeelectronic[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bikeelectronic[]\" value=\"$row[bikeelectronic_id]\" ");
                                    if (in_array($row[bikeelectronic_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bikeelectronic_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike Wheels/Tires</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bikewheel])){ $explosion = explode(",", $_POST[bikewheel]); } else { $explosion = $_POST[bikewheel]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBikeWheel ORDER BY bikewheel_name ASC");
                                echo("<input type=\"hidden\" name=\"bikewheel[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bikewheel[]\" value=\"$row[bikewheel_id]\" ");
                                    if (in_array($row[bikewheel_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bikewheel_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Bike Components</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bikecomponent])){ $explosion = explode(",", $_POST[bikecomponent]); } else { $explosion = $_POST[bikecomponent]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBikeComponent ORDER BY bikecomponent_name ASC");
                                echo("<input type=\"hidden\" name=\"bikecomponent[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bikecomponent[]\" value=\"$row[bikecomponent_id]\" ");
                                    if (in_array($row[bikecomponent_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bikecomponent_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Socks</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[sock])){ $explosion = explode(",", $_POST[sock]); } else { $explosion = $_POST[sock]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceSock ORDER BY sock_name ASC");
                                echo("<input type=\"hidden\" name=\"sock[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"sock[]\" value=\"$row[sock_id]\" ");
                                    if (in_array($row[sock_id], $explosion)){ echo "checked "; }
                                    echo(">$row[sock_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Running Shoes</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[shoe])){ $explosion = explode(",", $_POST[shoe]); } else { $explosion = $_POST[shoe]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceShoe ORDER BY shoe_name ASC");
                                echo("<input type=\"hidden\" name=\"shoe[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"shoe[]\" value=\"$row[shoe_id]\" ");
                                    if (in_array($row[shoe_id], $explosion)){ echo "checked "; }
                                    echo(">$row[shoe_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Run Apparel</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[apparel_run])){ $explosion = explode(",", $_POST[apparel_run]); } else { $explosion = $_POST[apparel_run]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceApparelRun ORDER BY apparel_run_name ASC");
                                echo("<input type=\"hidden\" name=\"apparel_run[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"apparel_run[]\" value=\"$row[apparel_run_id]\" ");
                                    if (in_array($row[apparel_run_id], $explosion)){ echo "checked "; }
                                    echo(">$row[apparel_run_name]</span>\n");
                                    $i++;
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Run Hydration</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[runhydrate])){ $explosion = explode(",", $_POST[runhydrate]); } else { $explosion = $_POST[runhydrate]; }
                                
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceRunHydrate ORDER BY runhydrate_name ASC");
                                echo("<input type=\"hidden\" name=\"runhydrate[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"runhydrate[]\" value=\"$row[runhydrate_id]\" ");
                                    if (in_array($row[runhydrate_id], $explosion)){ echo "checked "; }
                                    echo(">$row[runhydrate_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Wetsuits</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[wetsuit])){ $explosion = explode(",", $_POST[wetsuit]); } else { $explosion = $_POST[wetsuit]; }
                                
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceWetsuit ORDER BY wetsuit_name ASC");
                                echo("<input type=\"hidden\" name=\"wetsuit[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"wetsuit[]\" value=\"$row[wetsuit_id]\" ");
                                    if (in_array($row[wetsuit_id], $explosion)){ echo "checked "; }
                                    echo(">$row[wetsuit_name]</span>\n");
                                    $i++;
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Swim Apparel/Gear</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[swimgear])){ $explosion = explode(",", $_POST[swimgear]); } else { $explosion = $_POST[swimgear]; }
                                
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceSwimgear ORDER BY swimgear_name ASC");
                                echo("<input type=\"hidden\" name=\"swimgear[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"swimgear[]\" value=\"$row[swimgear_id]\" ");
                                    if (in_array($row[swimgear_id], $explosion)){ echo "checked "; }
                                    echo(">$row[swimgear_name]</span>\n");
                                    $i++;
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Body Care Tools</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[bodycare])){ $explosion = explode(",", $_POST[bodycare]); } else { $explosion = $_POST[bodycare]; }
                                
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceBodycare ORDER BY bodycare_name ASC");
                                echo("<input type=\"hidden\" name=\"bodycare[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col\"><input type=\"checkbox\" name=\"bodycare[]\" value=\"$row[bodycare_id]\" ");
                                    if (in_array($row[bodycare_id], $explosion)){ echo "checked "; }
                                    echo(">$row[bodycare_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name"></div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <h3>Technology, Community &amp; Education</h3>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Key Tri-Specific Contact(s)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="radio" name="trispecific" value="0"  <? if ($_POST[trispecific] == 0){ echo 'checked'; } ?>>None
                                <input type="radio" name="trispecific" value="1"  <? if ($_POST[trispecific] == 1){ echo 'checked'; } ?>>Yes, Their Names:
                                <input value="<? echo stripslashes($_POST[trispecific_names]); ?>" type="text" name="trispecific_names" class="txt shotext">
                                <? 
                                // tri_trispecific[] -- can we use an array here?
                                // ALSO, we need to check to see if names are entered, and if so, then set the radio buttons accordingly. 
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">F.I.S.T. Tri Fitters(s)</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="radio" name="fist" value="0"  <? if ($_POST[fist] == 0){ echo 'checked'; } ?>>None
                                <input type="radio" name="fist" value="1"  <? if ($_POST[fist] == 1){ echo 'checked'; } ?>>Yes, Their Names:
                                <input value="<? echo stripslashes($_POST[fist_names]); ?>" type="text" name="fist_names" class="txt shotext">
                                <? 
                                // tri_fist[] -- can we use an array here?
                                // ALSO, we need to check to see if names are entered, and if so, then set the radio buttons accordingly. 
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Diagnostic Equipment</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <?
                                $explosion = array("");
                                if (!is_array($_POST[diagnostic])){ $explosion = explode(",", $_POST[diagnostic]); } else { $explosion = $_POST[diagnostic]; }
                                $results = mysql_query("SELECT * FROM ".$prefix."ResourceDiagnostic ORDER BY diagnostic_name ASC");
                                echo("<input type=\"hidden\" name=\"diagnostic[]\" value=\"0\" >");
                                while ($row = mysql_fetch_array($results)) {
                                    echo("<span class=\"col2\"><input type=\"checkbox\" name=\"diagnostic[]\" value=\"$row[diagnostic_id]\" ");
                                    if (in_array($row[diagnostic_id], $explosion)){ echo "checked "; }
                                    echo(">$row[diagnostic_name]</span>\n");
                                }
                                ?>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name"></div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <h3>Social</h3>
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Shop hours</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
	                            <input value="<? echo stripslashes(htmlspecialchars($_POST[hours])); ?>" type="text" name="hours" class="txt lngtext">
                            </div>
                        </div>
                        <div class="drow">
                            <div class="dcell name">Runs &amp; Classes</div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <textarea name="activity" rows="7" class="txt lngtext" placeholder="Organized group runs or clinics that take place at your shop"><? if($_POST[activity]){ echo strip_tags(stripslashes($_POST[activity])); } ?></textarea>
                            </div>
                        </div>
                        <div class="drow actions">
                            <div class="dcell name"></div>
                            <div class="dcell divider"></div>
                            <div class="dcell value">
                                <input type="submit" value="Submit" class="btn">
                                <input type="hidden" name="add_roadshow" value="true">
                            </div>
                        </div>
                    </div>
	            </form>
                <? }
                // end insert form

                // begin confirmation form
                if($confirm_roadshow == true){
                ?>
                <p>Please confirm your information. If everything is correct, click the submit button. Otherwise, you may click the edit button to change your information before submitting.</p>
                <div class="dtable form">
                    <div class="drow">
                        <div class="dcell name">Name</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? echo stripslashes($_POST[name]); ?>
                            <? // check the db for similar matches
                                $name_tag = strtolower(str_replace(" ","", $_POST['name']));
                                $name_superstart = substr($name_tag, 0, 4);
                                $name_superend = substr($name_tag, -4, 4);
                                $name_supermid = substr($name_tag, ((strlen($name_tag))/2 - 2), 4);
                                //echo $name_supermid;
                                $match_sql = "SELECT roadshow_id, roadshow_name, roadshow_name_tag, roadshow_city, roadshow_state FROM ".$prefix."Roadshow WHERE roadshow_valid = 1 AND (roadshow_name_tag LIKE '%".$name_superstart."%' OR roadshow_name_tag LIKE '%".$name_superend."%' OR roadshow_name_tag LIKE '%".$name_supermid."%')";
                                
                                //echo $match_sql;
                                
                                $match_fetch = mysql_query($match_sql) OR die(mysql_error());
                                
                                $i = false;
                                while ($match_row = mysql_fetch_array($match_fetch)) { 
                                    similar_text($match_row['roadshow_name'], $_POST['name'], $percent); 
                                    if ($percent >= 50) { 
                                        if ($i == false) { 
                                            echo ("<span class=\"error\">Duplicate Alert:</span>");
                                        }
                                        if ($i == true) {echo ("<br />");}
                                        echo ("<a href=\"".$site_url."/individual.php?roadshow_id=".$match_row['roadshow_id']."\">".$match_row['roadshow_name']." (".$match_row['roadshow_city'].", ".$match_row['roadshow_state'].")</a> (Similarity: ".(round($percent, 0))."%)"); 
                                        $i = true;
                                    }
                                }
                            ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Date</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo  "$month/$day/$year"; ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Start</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo "$hour:$minute"; ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Street Address</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[address])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Street Address Two</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[address_two])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">City</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[city])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">State</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[state])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Zip/Postal Code</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[zip])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Lat/Lng</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? 
                                if ($geocode_error == false) {
                                    $latlng_string = "".$_POST[lat].", ".$_POST[lng].""; 
                                    echo (stripslashes(htmlspecialchars($latlng_string))); 
                                } else {
                                    echo ($geocode_message);
                                }
                            ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Phone</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[phone])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Fax/Alternate Phone</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[fax])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">E-mail</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[email])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Website</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <a href="<? echo $_POST[website]; ?>" target="_blank"><? echo $_POST[website]; ?></a>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name"></div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <h3>Local Assets</h3>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Slowtwitch Ambassador(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? if ($_POST[stambassador] == 0) { echo "None"; } else { echo "Yes, Their Names -  "; echo stripslashes($_POST[stambassador_names]); } ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Tri Club(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? if ($_POST[triclub] == 0) { echo "None"; } else { echo "Yes, Their Names -  "; echo stripslashes($_POST[triclub_names]); } ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Coach(es)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? if ($_POST[coach] == 0) { echo "None"; } else { echo "Yes, Their Names -  "; echo stripslashes($_POST[coach_names]); } ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Race Director(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? if ($_POST[racedirector] == 0) { echo "None"; } else { echo "Yes, Their Names -  "; echo stripslashes($_POST[racedirector_names]); } ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Brewery(ies)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? if ($_POST[brewery] == 0) { echo "None"; } else { echo "Yes, Their Names -  "; echo stripslashes($_POST[brewery_names]); } ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Other</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? echo stripslashes(htmlspecialchars($_POST[local])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Fitbike(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?
$implosion = implode(",", $_POST[fitbike]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Fitbike WHERE fitbike_id IN ($implosion) ORDER BY fitbike_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[fitbike_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Saddle Quick Change</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?
$implosion = implode(",", $_POST[saddlechange]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Saddlechange WHERE saddlechange_id IN ($implosion) ORDER BY saddlechange_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[saddlechange_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Motion Capture System(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[motioncapture]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Motioncapture WHERE motioncapture_id IN ($implosion) ORDER BY motioncapture_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[motioncapture_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Custom Footbed(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[footbed]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Customfootbed WHERE footbed_id IN ($implosion) ORDER BY footbed_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[footbed_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name"></div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <h3>Brands</h3>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Triathlon Apparel</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[apparel_tri]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."ApparelTri WHERE apparel_tri_id IN ($implosion) ORDER BY apparel_tri_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[apparel_tri_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bike]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Bike WHERE bike_id IN ($implosion) ORDER BY bike_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bike_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike Saddles/Footwear/Aerobars/Bike Hydration</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bikeaccessory]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."BikeAccessory WHERE bikeaccessory_id IN ($implosion) ORDER BY bikeaccessory_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bikeaccessory_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike Helmets/Eyewear</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bikehelmet]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."BikeHelmet WHERE bikehelmet_id IN ($implosion) ORDER BY bikehelmet_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bikehelmet_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike Nutritionals/Lubricants/Botanicals</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bikebody]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."BikeBody WHERE bikebody_id IN ($implosion) ORDER BY bikebody_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bikebody_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike Stationary Trainer(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[biketrainer]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."BikeTrainer WHERE biketrainer_id IN ($implosion) ORDER BY biketrainer_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[biketrainer_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike Electronics/Cameras/Metrics</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bikeelectronic]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."BikeElectronic WHERE bikeelectronic_id IN ($implosion) ORDER BY bikeelectronic_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bikeelectronic_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike Wheels/Tires</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bikewheel]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."BikeWheel WHERE bikewheel_id IN ($implosion) ORDER BY bikewheel_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bikewheel_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bike Component(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bikecomponent]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."BikeComponent WHERE bikecomponent_id IN ($implosion) ORDER BY bikecomponent_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bikecomponent_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Sock(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[sock]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Sock WHERE sock_id IN ($implosion) ORDER BY sock_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[sock_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Running Shoe(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[shoe]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Shoe WHERE shoe_id IN ($implosion) ORDER BY shoe_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[shoe_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Running Apparel</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[apparel_run]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."ApparelRun WHERE apparel_run_id IN ($implosion) ORDER BY apparel_run_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[apparel_run_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Run Hydration</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[runhydrate]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."RunHydrate WHERE runhydrate_id IN ($implosion) ORDER BY runhydrate_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[runhydrate_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Wetsuit(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[wetsuit]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Wetsuit WHERE wetsuit_id IN ($implosion) ORDER BY wetsuit_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[wetsuit_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Swim Apparel/Gear</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[swimgear]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Swimgear WHERE swimgear_id IN ($implosion) ORDER BY swimgear_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[swimgear_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Bodycare Tools</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[bodycare]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Bodycare WHERE bodycare_id IN ($implosion) ORDER BY bodycare_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[bodycare_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name"></div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <h3>Technology, Community &amp; Education</h3>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Key Tri-Specific Contact(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? if ($_POST[trispecific] == 0) { echo "None"; } else { echo "Yes, Their Names -  "; echo stripslashes($_POST[trispecific_names]); } ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">F.I.S.T. Tri Fitters(s)</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <? if ($_POST[fist] == 0) { echo "None"; } else { echo "Yes, Their Names -  "; echo stripslashes($_POST[fist_names]); } ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Diagnostic Tools</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
<?

$implosion = implode(",", $_POST[diagnostic]);

$sql = ("SELECT * FROM ".$prefix.$resource_table."Diagnostic WHERE diagnostic_id IN ($implosion) ORDER BY diagnostic_name ASC");

//echo $sql;

$results = mysql_query($sql) or die(mysql_error());

$temp_list = "";
while ($row = mysql_fetch_array($results)) {
    $temp_list = $temp_list."$row[diagnostic_name], ";
}
$temp_list = rtrim($temp_list, ', ');

if ($temp_list == "") { echo ("none specified."); }
else { echo $temp_list; }

$temp_list = "";

?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name"></div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <h3>Social</h3>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">Shop Hours</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo stripslashes(htmlspecialchars($_POST[hours])); ?>
                        </div>
                    </div>
                    <div class="drow">
                        <div class="dcell name">General Info &amp; Notes</div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
	                        <? echo strip_tags(stripslashes($_POST[activity])); ?>
                        </div>
                    </div>
                    <div class="drow actions">
                        <div class="dcell name"></div>
                        <div class="dcell divider"></div>
                        <div class="dcell value">
                            <form action="add.php" method="post">
                                <input type="hidden" name="name" value="<? echo stripslashes(htmlspecialchars($_POST[name])); ?>">
                                <input type="hidden" name="year" value="<? echo $_POST[year]; ?>">
                                <input type="hidden" name="month" value="<? echo $_POST[month]; ?>">
                                <input type="hidden" name="day" value="<? echo $_POST[day]; ?>">
                                <input type="hidden" name="daypart" value="<? echo $_POST[daypart]; ?>">
                                <input type="hidden" name="hour" value="<? echo $_POST[hour]; ?>">
                                <input type="hidden" name="minute" value="<? echo $_POST[minute]; ?>">
                                <input type="hidden" name="address" value="<? echo stripslashes(htmlspecialchars($_POST[address])); ?>">
                                <input type="hidden" name="address_two" value="<? echo stripslashes(htmlspecialchars($_POST[address_two])); ?>">
                                <input type="hidden" name="city" value="<? echo stripslashes(htmlspecialchars($_POST[city])); ?>">
                                <input type="hidden" name="state" value="<? echo $_POST[state]; ?>">
                                <input type="hidden" name="zip" value="<? echo $_POST[zip]; ?>">
                                <input type="hidden" name="latlng_override" value="<? echo $_POST[latlng_override]; ?>">
                                <input type="hidden" name="lat" value="<? echo $_POST[lat]; ?>">
                                <input type="hidden" name="lng" value="<? echo $_POST[lng]; ?>">
                                <input type="hidden" name="phone" value="<? echo $_POST[phone]; ?>">
                                <input type="hidden" name="fax" value="<? echo $_POST[fax]; ?>">
                                <input type="hidden" name="email" value="<? echo $_POST[email]; ?>">
                                <input type="hidden" name="website" value="<? echo $_POST[website]; ?>">

                                <input type="hidden" name="stambassador" value="<? echo $_POST[stambassador]; ?>">
                                <input type="hidden" name="stambassador_names" value="<? echo stripslashes(htmlspecialchars($_POST[stambassador_names])); ?>">
                                <input type="hidden" name="triclub" value="<? echo $_POST[triclub]; ?>">
                                <input type="hidden" name="triclub_names" value="<? echo stripslashes(htmlspecialchars($_POST[triclub_names])); ?>">
                                <input type="hidden" name="coach" value="<? echo $_POST[coach]; ?>">
                                <input type="hidden" name="coach_names" value="<? echo stripslashes(htmlspecialchars($_POST[coach_names])); ?>">
                                <input type="hidden" name="racedirector" value="<? echo $_POST[racedirector]; ?>">
                                <input type="hidden" name="racedirector_names" value="<? echo stripslashes(htmlspecialchars($_POST[racedirector_names])); ?>">
                                <input type="hidden" name="brewery" value="<? echo $_POST[brewery]; ?>">
                                <input type="hidden" name="brewery_names" value="<? echo stripslashes(htmlspecialchars($_POST[brewery_names])); ?>">
                                <input type="hidden" name="local" value="<? echo stripslashes(htmlspecialchars($_POST[local])); ?>">
                                <input type="hidden" name="fitbike" value="<? echo implode(',', $_POST[fitbike]); ?>">
                                <input type="hidden" name="saddlechange" value="<? echo implode(',', $_POST[saddlechange]); ?>">
                                <input type="hidden" name="motioncapture" value="<? echo implode(',', $_POST[motioncapture]); ?>">
                                <input type="hidden" name="footbed" value="<? echo implode(',', $_POST[footbed]); ?>">
                                <input type="hidden" name="wetsuit" value="<? echo implode(',', $_POST[wetsuit]); ?>">
                                <input type="hidden" name="bike" value="<? echo implode(',', $_POST[bike]); ?>">
                                <input type="hidden" name="trispecific" value="<? echo $_POST[trispecific]; ?>">
                                <input type="hidden" name="trispecific_names" value="<? echo stripslashes(htmlspecialchars($_POST[trispecific_names])); ?>">
                                <input type="hidden" name="fist" value="<? echo $_POST[fist]; ?>">
                                <input type="hidden" name="fist_names" value="<? echo stripslashes(htmlspecialchars($_POST[fist_names])); ?>">
                                <input type="hidden" name="diagnostic" value="<? echo implode(',', $_POST[diagnostic]); ?>">
                                <input type="hidden" name="shoe" value="<? echo implode(',', $_POST[shoe]); ?>">
                                <input type="hidden" name="sock" value="<? echo implode(',', $_POST[sock]); ?>">
                                <input type="hidden" name="apparel_run" value="<? echo implode(',', $_POST[apparel_run]); ?>">
                                <input type="hidden" name="apparel_tri" value="<? echo implode(',', $_POST[apparel_tri]); ?>">
                                <input type="hidden" name="swimgear" value="<? echo implode(',', $_POST[swimgear]); ?>">
                                <input type="hidden" name="bikeaccessory" value="<? echo implode(',', $_POST[bikeaccessory]); ?>">
                                <input type="hidden" name="bikebody" value="<? echo implode(',', $_POST[bikebody]); ?>">
                                <input type="hidden" name="bikecomponent" value="<? echo implode(',', $_POST[bikecomponent]); ?>">
                                <input type="hidden" name="bikeelectronic" value="<? echo implode(',', $_POST[bikeelectronic]); ?>">
                                <input type="hidden" name="bikehelmet" value="<? echo implode(',', $_POST[bikehelmet]); ?>">
                                <input type="hidden" name="biketrainer" value="<? echo implode(',', $_POST[biketrainer]); ?>">
                                <input type="hidden" name="bikewheel" value="<? echo implode(',', $_POST[bikewheel]); ?>">
                                <input type="hidden" name="runhydrate" value="<? echo implode(',', $_POST[runhydrate]); ?>">
                                <input type="hidden" name="bodycare" value="<? echo implode(',', $_POST[bodycare]); ?>">
                                <input type="hidden" name="hours" value="<? echo stripslashes(htmlspecialchars($_POST[hours])); ?>">
                                <input type="hidden" name="activity" value="<? echo stripslashes(htmlspecialchars($_POST[activity])); ?>">

                                <input type="hidden" name="add_roadshow" value="true">
                                <input type="hidden" name="insert_roadshow" value="true">
                                <input type="hidden" name="submitted_by" value="<? echo $useruid; ?>" >
                                <input type="submit" name="submit" value="Submit Info" class="btn float-left" style="margin-right: 5px;">
                            </form>
                            <form action="add.php" method="post">
                                <input type="hidden" name="name" value="<? echo stripslashes(htmlspecialchars($_POST[name])); ?>">
                                <input type="hidden" name="year" value="<? echo $year; ?>">
                                <input type="hidden" name="month" value="<? echo $month; ?>">
                                <input type="hidden" name="day" value="<? echo $day; ?>">
                                <input type="hidden" name="daypart" value="<? echo $daypart; ?>">
                                <? if($daypart == 1){ $hour = sprintf('%02d', $hour - 12); } ?>
                                <input type="hidden" name="hour" value="<? echo $hour; ?>">
                                <input type="hidden" name="minute" value="<? echo $minute; ?>">
                                <input type="hidden" name="address" value="<? echo stripslashes(htmlspecialchars($_POST[address])); ?>">
                                <input type="hidden" name="address_two" value="<? echo stripslashes(htmlspecialchars($_POST[address_two])); ?>">
                                <input type="hidden" name="city" value="<? echo stripslashes(htmlspecialchars($_POST[city])); ?>">
                                <input type="hidden" name="state" value="<? echo $_POST[state]; ?>">
                                <input type="hidden" name="zip" value="<? echo $_POST[zip]; ?>">
                                <input type="hidden" name="latlng_override" value="<? echo $_POST[latlng_override]; ?>">
                                <input type="hidden" name="lat" value="<? echo $_POST[lat]; ?>">
                                <input type="hidden" name="lng" value="<? echo $_POST[lng]; ?>">
                                <input type="hidden" name="phone" value="<? echo $_POST[phone]; ?>">
                                <input type="hidden" name="fax" value="<? echo $_POST[fax]; ?>">
                                <input type="hidden" name="email" value="<? echo $_POST[email]; ?>">
                                <input type="hidden" name="website" value="<? echo $_POST[website]; ?>">

                                <input type="hidden" name="stambassador" value="<? echo $_POST[stambassador]; ?>">
                                <input type="hidden" name="stambassador_names" value="<? echo stripslashes(htmlspecialchars($_POST[stambassador_names])); ?>">
                                <input type="hidden" name="triclub" value="<? echo $_POST[triclub]; ?>">
                                <input type="hidden" name="triclub_names" value="<? echo stripslashes(htmlspecialchars($_POST[triclub_names])); ?>">
                                <input type="hidden" name="coach" value="<? echo $_POST[coach]; ?>">
                                <input type="hidden" name="coach_names" value="<? echo stripslashes(htmlspecialchars($_POST[coach_names])); ?>">
                                <input type="hidden" name="racedirector" value="<? echo $_POST[racedirector]; ?>">
                                <input type="hidden" name="racedirector_names" value="<? echo stripslashes(htmlspecialchars($_POST[racedirector_names])); ?>">
                                <input type="hidden" name="brewery" value="<? echo $_POST[brewery]; ?>">
                                <input type="hidden" name="brewery_names" value="<? echo stripslashes(htmlspecialchars($_POST[brewery_names])); ?>">
                                <input type="hidden" name="local" value="<? echo stripslashes(htmlspecialchars($_POST[local])); ?>">
                                <input type="hidden" name="fitbike" value="<? echo implode(',', $_POST[fitbike]); ?>">
                                <input type="hidden" name="saddlechange" value="<? echo implode(',', $_POST[saddlechange]); ?>">
                                <input type="hidden" name="motioncapture" value="<? echo implode(',', $_POST[motioncapture]); ?>">
                                <input type="hidden" name="footbed" value="<? echo implode(',', $_POST[footbed]); ?>">
                                <input type="hidden" name="wetsuit" value="<? echo implode(',', $_POST[wetsuit]); ?>">
                                <input type="hidden" name="bike" value="<? echo implode(',', $_POST[bike]); ?>">
                                <input type="hidden" name="trispecific" value="<? echo $_POST[trispecific]; ?>">
                                <input type="hidden" name="trispecific_names" value="<? echo stripslashes(htmlspecialchars($_POST[trispecific_names])); ?>">
                                <input type="hidden" name="fist" value="<? echo $_POST[fist]; ?>">
                                <input type="hidden" name="fist_names" value="<? echo stripslashes(htmlspecialchars($_POST[fist_names])); ?>">
                                <input type="hidden" name="diagnostic" value="<? echo implode(',', $_POST[diagnostic]); ?>">
                                <input type="hidden" name="shoe" value="<? echo implode(',', $_POST[shoe]); ?>">
                                <input type="hidden" name="sock" value="<? echo implode(',', $_POST[sock]); ?>">
                                <input type="hidden" name="apparel_run" value="<? echo implode(',', $_POST[apparel_run]); ?>">
                                <input type="hidden" name="apparel_tri" value="<? echo implode(',', $_POST[apparel_tri]); ?>">
                                <input type="hidden" name="swimgear" value="<? echo implode(',', $_POST[swimgear]); ?>">
                                <input type="hidden" name="bikeaccessory" value="<? echo implode(',', $_POST[bikeaccessory]); ?>">
                                <input type="hidden" name="bikebody" value="<? echo implode(',', $_POST[bikebody]); ?>">
                                <input type="hidden" name="bikecomponent" value="<? echo implode(',', $_POST[bikecomponent]); ?>">
                                <input type="hidden" name="bikeelectronic" value="<? echo implode(',', $_POST[bikeelectronic]); ?>">
                                <input type="hidden" name="bikehelmet" value="<? echo implode(',', $_POST[bikehelmet]); ?>">
                                <input type="hidden" name="biketrainer" value="<? echo implode(',', $_POST[biketrainer]); ?>">
                                <input type="hidden" name="bikewheel" value="<? echo implode(',', $_POST[bikewheel]); ?>">
                                <input type="hidden" name="runhydrate" value="<? echo implode(',', $_POST[runhydrate]); ?>">
                                <input type="hidden" name="bodycare" value="<? echo implode(',', $_POST[bodycare]); ?>">
                                <input type="hidden" name="hours" value="<? echo stripslashes(htmlspecialchars($_POST[hours])); ?>">
                                <input type="hidden" name="activity" value="<? echo stripslashes(htmlspecialchars($_POST[activity])); ?>">
                                
                                <input type="hidden" name="confirm_roadshow" value="0">
                                <input type="submit" name="submit" value="Edit Information" class="btn float-left">
                            </form>
                        </div>
                    </div>
                </div>
                <?
                } 
                //end confirmation form
                ?>

              </div><!-- end col-2/3 -->
            </div><!-- end grid -->
          </div><!-- end content -->
        </section>


      </div><!-- end contentwrapper -->
    </div> <!-- end main -->

  <? include($common_path . "/templates/include_footer.php") ?>
  </div> <!-- container  -->
</body>
<? include($common_path . "/templates/include_global_js.php") ?>
</html>
