#!/usr/local/bin/perl
# ==================================================================
# Gossamer Links - enhanced directory management system
#
#   Website  : http://gossamer-threads.com/
#   Support  : http://gossamer-threads.com/scripts/support/
#   CVS Info : 087,071,086,086,085      
#   Revision : $Id: bookmark.cgi,v 1.4 2005/03/22 08:18:05 jagerman Exp $
#
# Copyright (c) 2004 Gossamer Threads Inc.  All Rights Reserved.
# Redistribution in part or in whole strictly prohibited. Please
# see LICENSE file for full details.
# ==================================================================

use strict;
use lib '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin';
use Links qw/$CFG $IN $PLG/;
use Links::Bookmark;

local $SIG{__DIE__} = \&Links::fatal;

Links::init('/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin');
Links::init_user();

if (not $CFG->{bookmark_enabled}) {
    print $IN->header();
    print Links::SiteHTML::display('bookmark_error', { error => Links::language('BOOKMARK_DISABLED') });
}
elsif ($PLG->dispatch('check_request', \&Links::check_request)) {
    $PLG->dispatch('handle_bookmark', \&Links::Bookmark::handle);
}
