<?PHP include("config.php");

// set the page title
$pagetitle = "2008 Annual Industry Awards";

// set meta tags
$meta_keywords = "awards, survey";
$meta_description = "Slowtwitch Industry Awards Survey.";

?>

<? include("include_common_head.php"); ?>
<? include("include_common_content.php"); ?>

<!-- Start outer -->
<div id="outer">

<!-- BODY -->
<div class="content">


<!-- End left column -->
<!-- Content col -->

<h3 style="margin-top: 0px;">The Slowtwitch Annual Industry Awards 2008 Reader Survey</h3>

<div style="float: right; width: 48%; text-align: justify;">

<p><strong>Directions For Taking the Survey</strong></p>
<p>You must be logged in with a Slowtwitch forum username in order to complete this survey. If you are a forum user, and you use the "remember me" feature on the forum (requires cookies), you should be automatically logged in here. If you are not logged in, please follow the "Login" link to your left in order to do so. You will be redirected back to this page.<br /><br />If you do not have a forum account, you may follow the "Register" link to your left to create one. Once you have created a forum username, please return to this page.<br /><br /><span style="font-style: italic;">You do not have to answer all the questions, but you cannot come back and vote on questions you leave blank.</span> If you don't have an opinion about a particular category, just leave that question blank. If you select an answer and then decide that you would rather not vote on that particular category, just click the reset button at the bottom to clear the form. This will reset all your answers, so please go back and complete only the categories you wish to vote on.</p>
<p>You will have a chance to confirm (and reconsider) your selections before submitting them to the official record.</p>
<p>There are no "write-in" options. If you disagree with our selections, you can voice that concern to us via email or on the forum. Your selections are limited to the choices here. You may either choose from among those choices or exercise your write to expression through abstention if you don't like our options.<br /><br />This survey is based on your opinions; you do not need to have used every (or even any) of the products in a category to vote.</p>
<p>If you have a suggestion or critique that might allow us to better reach our aspirations, please <a href="mailto:slowman@slowtwitch.com">contact</a> us.  Otherwise, please move ahead to the survey.</p>
<p><strong>Awards Presentation</strong></p>
<p>The presentation of these awards will take place during the week of September 22nd live (online) from the Interbike tradeshow in Las Vegas, NV.</p>
<p><strong>Privacy Policy</strong></p>
<p>The survey results are entirely anonymous. Your user id will be logged only to record your participation and will in no way be linked to your responses.</p>

</div>
<div style="float: left; width: 48%;">

<p>Voting is now closed.</p>

<?
/*/ is the user logged in?
if(is_logged_in($user)){
  // have they taken the survey?
  // if no, let them take the survey
  //Get user's uid
  $username = base64_decode($_SESSION['user']);
  if ($username == "") { 
    // bug in the session
  	Header("Location: logout.php");
  	die();
  }
  $testresults = mysql_query("SELECT user_id FROM ".$prefix."User WHERE user_username=\"".$username."\";") or die("SQL Error: ".mysql_error());
  $testrow = mysql_fetch_array($testresults);
  $useruid = $testrow[user_id];
  $taken = mysql_num_rows(mysql_query("SELECT * FROM gforum_SurveyVote WHERE Survey_ID_FK = 1 AND User_ID_FK = $useruid AND 1 = 1;"));
  if ($taken == 0) {
    echo "<p>Welcome, <strong>$username</strong> [if this is not you, click here to <a href=\"logout.php\">log out</a>]. Thank you for participating.<br /></p>\n";
    if ($_GET['empty_set'] == 1) {
        echo ("<p style='font-weight: bold; color: red;'>You have not completed any categories.</p>");
    }
    if ($_POST['uid'] && $_POST['edit'] != true) {
      include("include_survey_confirm.php");
    } else { include("include_survey.php"); }
  } else {
    if ($_GET['thank_you'] == 1) {
        echo ("<p>Thank you for completing our 2008 survey. Please check back later for the results. Click here to <a href=\"logout.php\">Log out</a></p>");
    } else {
    	echo ("<p>You have already taken this survey. Please check back later for the results.</p>");
    }
  }
}else{
  echo ("<input type='hidden' name='from' value='survey'>");
  echo ("<p>You are not logged in. Please <a href=\"http://forum.slowtwitch.com/gforum.cgi?do=login&from=survey\">Log in</a> or <a href=\"http://forum.slowtwitch.com/gforum.cgi?do=user_signup\">Register</a></p>");
}*/
?>

</div>

<div style="clear: both;">
<? if(isset($username)){
     if($username == "Slowman" || $username == "Rappstar") { echo("<br /><h3>Survey Results</h3>"); include("results.php"); }
   }
?> 
</div>

<!-- End content col -->

</div>
<!-- End BODY -->
</div>
<!-- End Outer -->

<? include("include_common_footer.php"); ?>

