<?PHP include("settings.php");

// set the page title
$pagetitle = "Local Listings";

// set meta tags
$meta_keywords = "Local listings";
$meta_description = "Local listings";
?>

<? include("include_common_head.php"); ?>

<body class="listings">
  <? include($common_path . "/ads/ad_wallpaper.html"); ?>

  <div class="container">
    <? include($common_path . "/templates/include_header.php"); ?>
    <div class="main">
      <div class="contentwrapper clearfix">
        <? include("include_breadcrumb.php"); ?>

        <section class="section listings section-has-widgets remove-sidebar">
          <div class="sidebar-b">
            <? include("include_sidebar.php"); ?>
          </div>

          <div class="content content-has-widgets">
            <div class="grid">

              <div class="clearfix">
                <h1>Local Listings</h1>
                <div>This collection of retailers is the most complete and comprehensive listings in North America. The purpose is to introduce triathelets to as much pertinent information as possible.</div>
                <div class="grid icon-view">

                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-running"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/runshops">Running Stores</a></h3>
                      <?
                        $num_stores = mysql_num_rows(mysql_query("SELECT runshop_id FROM " . $prefix . "Runshops WHERE runshop_valid=1"));
                      ?>
                      <span>(<? echo $num_stores ?> stores)<span>
                    </div>
                  </div>

                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-biking"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/retailers">Bike Shops</a></h3>
                      <?
                        $num_retailers = mysql_num_rows(mysql_query("SELECT retailer_id FROM " . $prefix. "Retailers WHERE retailer_valid=1"));
                      ?>
                      <span>(<? echo $num_retailers ?> retailers)<span>
                    </div>
                  </div>

                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-coaches"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/coaches">Coaches</a></h3>
                      <?
                        $num_coaches = mysql_num_rows(mysql_query("SELECT coach_id FROM ".$prefix."Coaches WHERE coach_valid=1"));
                      ?>
                      <span>(<? echo $num_coaches ?> coaches)<span>
                    </div>
                  </div>

                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-fitters"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/fitters">Fitters</a></h3>
                      <?
                        $num_fitters = mysql_num_rows(mysql_query("SELECT fitter_id FROM ".$prefix."Fitters WHERE fitter_valid=1"));
                      ?>
                      <span>(<? echo $num_fitters ?> fitters)<span>
                    </div>
                  </div>

                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-clubs"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/triclubs">Triathlon Clubs</a></h3>
                      <?
                        $num_triclubs = mysql_num_rows(mysql_query("SELECT triclub_id FROM " . $prefix . "Triclubs WHERE triclub_valid=1"));
                      ?>
                      <span>(<? echo $num_triclubs ?> clubs)<span>
                    </div>
                  </div>

                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-race"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/calendar">Race Calendar</a></h3>
                      <?
                        $num_races = mysql_num_rows(mysql_query("SELECT uid FROM " . $prefix . "Triathlons WHERE valid=1 AND date > '".$min_date."'"));
                      ?>
                      <span>(<? echo $num_races ?> races)<span>
                    </div>
                  </div>
                  
                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-roadshow"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/roadshow">Road Show</a></h3>
                      <?
                        $num_stops = mysql_num_rows(mysql_query("SELECT roadshow_id FROM gforum_Roadshow WHERE roadshow_valid=1"));
                      ?>
                      <span>(<? echo $num_stops ?> road show stops)<span>
                    </div>
                  </div>

                  <div class="col-1-2 listing">
                    <div class="icon">
                      <i class="sprite-map"></i>
                    </div>

                    <div class="list">
                      <h3><a href="<? echo $main_site_url ?>/local/map.php">Map of Everything</a></h3>
                      <span>(over <? echo $num_stores + $num_retailers + $num_coaches + $num_fitters + $num_triclubs + $num_races + $num_stops ?> listings)<span>
                    </div>
                  </div>
                  
                </div>
              </div><!-- end col-2/3 -->

            </div><!-- end grid -->
          </div><!-- end content -->
        </section>

      </div><!-- end contentwrapper -->
    </div> <!-- end main -->

  <? include($common_path . "/templates/include_footer.php") ?>
  </div> <!-- container  -->
</body>
<? include($common_path . "/templates/include_global_js.php") ?>
</html>
