<?PHP include("settings.php");

// set the page title
$pagetitle = "Local Listings - Map of Everything";

// set meta tags
$meta_keywords = "Local listings";
$meta_description = "Local listings";
?>
<? include("include_common_head.php"); ?>

<body class="listings">
  <? include($common_path . "/ads/ad_wallpaper.html"); ?>

  <div class="container">
    <? include($common_path . "/templates/include_header.php"); ?>
    <div class="main">
      <div class="contentwrapper clearfix">
        <? $current_page = 'Map Of Everything'; ?>
        <? $current_url  = '/local/map.php'; ?>
        <? include("include_breadcrumb.php"); ?>

        <section class="section listings section-has-widgets remove-sidebar">
          <div class="sidebar-b">
            <?
            $selected_local = 'map';
            include("include_sidebar.php");
            ?>
          </div>

          <div class="content content-has-widgets">
            <div class="grid">

              <div class="clearfix">
                <h1>Local Listings</h1>

                <div class="map-control">
                  <span>Jump to location:</span>
                  <input class="text-input" type="text" placeholder="Enter Zip/Postal, City or State"/>
                  <span class="spacer"></span>
                  <span class="or">or</span>
<?
$sqlregionlist = "SELECT * FROM gforum_ResourceRegions ORDER BY regionname";
$regions_list = mysql_query($sqlregionlist);
?>

                  <select class="select">
                    <option value="">Select Region...</option>
                    <? while ($row = mysql_fetch_array($regions_list)) { ?>
                    <option value="<? echo $row[regionname] ?>"><? echo $row[regionlong] ?></option>
                    <? } ?>
                  </select>
                </div>

                <div class="alert alert-info">
                  Showing results near <span class="location">your location</span>.
                </div>
                <div class="map-container">

                <div id="map" class="map map-large" data-name="everything" data-json="<? echo $main_site_url ?>/googlemaps/json/,coach,race,retailer,runshop,triclub,fitter,roadshow"></div><!--xml relative path from the html location -->

                  <div class="map-category">
                    <div class="category-list">
                      <div class="category">
                        <input id="retailer" type="checkbox" class="checkbox" value="retailer" checked="checked"/>
                        <label for="retailer"> Bike Shops <i class="map-icon sprite-biking"></i></label>
                      </div>
                      <div class="category">
                        <input id="runshop" type="checkbox" class="checkbox" value="runshop"  checked="checked"/>
                        <label for="runshop"> Run Stores <i class="map-icon sprite-running"></i></label>
                      </div>
                      <div class="category">
                        <input id="fitter" type="checkbox" class="checkbox" value="fitter"  checked="checked"/>
                        <label for="fitter"> Fitters <i class="map-icon sprite-fitter"></i></label>
                      </div>
                      <div class="category">
                        <input id="triclub" type="checkbox" class="checkbox" value="triclub"  checked="checked"/>
                        <label for="triclub"> Clubs <i class="map-icon sprite-clubs"></i></label>
                      </div>
                      <div class="category">
                        <input id="roadshow" type="checkbox" class="checkbox" value="roadshow"  checked="checked"/>
                        <label for="roadshow"> Roadshow <i class="map-icon sprite-roadshow"></i></label>
                      </div>
                      <div class="category">
                        <input id="coach" type="checkbox" class="checkbox" value="coach"  checked="checked"/>
                        <label for="coach"> Coaches <i class="map-icon sprite-coaches"></i></label>
                      </div>
                      <div class="category last">
                        <input id="race" type="checkbox" class="checkbox" value="race" checked="checked" />
                        <label for="race"> Races <i class="map-icon sprite-race"></i></label>
                      </div>
                    </div>
                    <div class="hide-button">
                      Hide Categories &#9650;
                    </div>
                  </div>
                </div>

              </div><!-- end col-2/3 -->

            </div><!-- end grid -->
          </div><!-- end content -->
        </section>

      </div><!-- end contentwrapper -->
    </div> <!-- end main -->

  <? include($common_path . "/templates/include_footer.php") ?>
  </div> <!-- container  -->
</body>
<? include($common_path . "/templates/include_global_js.php") ?>
</html>
