<?PHP include("config.php");

// set the page title
$pagetitle = "Slowtwitch Road Show Events";

// set meta tags
$meta_keywords = "triathlon, trifind, duathlon";
$meta_description = "Are you trying to find road show events in near your area? You can browse all road show events organized by states, to find which ones you want to use.";

?>

<? include("include_common_head.php"); ?>

<body class="listings">
  <? include($common_path . "/ads/ad_wallpaper.html"); ?>

  <div class="container">
    <? include($common_path . "/templates/include_header.php"); ?>
    <div class="main">
      <div class="contentwrapper clearfix">
        <? include("include_breadcrumb.php"); ?>

        <section class="section listings section-has-widgets section-static remove-sidebar">
          <div class="sidebar-b">
            <? include("include_sidebar.php"); ?>
          </div>
          <div class="content content-has-widgets">
            <div class="grid">
             <div class="clearfix">
               <h1 class="float-left">Road Show</h1>
               <hr class="line">

               <h3>Global road show event map</h3>
               <p>The map below shows the location of all registered Slowtwitch road show events around the globe. You can drag the map, zoom-in, zoom-out, and use any other of the standard Google Maps features. Anywhere you see a red icon, you can click to see the name of that road show event and a street address.</p>
               <div class="map-container">
                <div id="map" class="map" data-name="roadshow" data-json="/googlemaps/json/roadshow.json"></div><!--xml relative path from js folder -->
               </div>
               <?
                    $num = mysql_num_rows(mysql_query("SELECT roadshow_id FROM ".$prefix."Road Show WHERE roadshow_valid=1"));
               ?>
               <h3>What if we threw a party and an expo broke out?</h3>
               <p>That's what the Slowtwitch Road Shows are all about.  In 34 locations, 1 Road Show per selected U.S. city, triathletes and tri-curious can see, touch, learn about, and buy compelling stuff made for multisporters. Okay, we confess:  lt's totally about wearing out the cash registers.  But we'll make it a painless buy. Features of this special day, which is entirely free to attendees:</p>
               <p>Beer, Free stuff, Demo shoes from popular running shoe brands, On-site race entries (discounts, maybe?), Beer, Slowtwitch staff and notorious Slowtwitch Reader Forum personalities., Cheap stuff, Virtual training and racing demos (Zwift and VirtualTrainer), Food, Beer, Demo bikes from the sport's most important tri bike makers, Lots of inventory in the latest stuff.</p>
               <div class="advert float-left">
                    <? include($common_path . "/ads/ad_300x250_roadblocks.html"); ?>
               </div>
               <h3>Here's who'll you'll meet at Slowtwitch Road Shows:</h3>
               <p>Slowtwitch staff and regulars including  Dan Empfield; Karen Sing; Ian Murray; Steve Fleck; Lars Finanger; Herbert Krabel. And also meet all your local race directors</p>
               <p>But wait, there's more. Slowtwitch is more than an online magazine and the sport's largest Reader Forum. Its team members provided the templates for the wetsuits you wear and the bikes you ride; and the way you fit aboard those bikes. At most Road Shows you'll see or both of two workstations:</p>
               <ul>
                <li><b>Saddle Optimizer</b>: Rides several saddles back-to-back on stationary equipment built for the purpose</li>
                <li><b>Complete Bike Solver</b>: Discover, in granular details, what tri bikes fit you perfectly.</li>
               </ul>
               <p>Some of these activations are available by appointment only. Choose your Road Show, and then choose your appointment (not all special activations and appointments are published; return as your Road Show approaches to make your appointment if it's not listed yet).</p>
               <p>Visit our Slowtwitch Road Show Facebook page for updates, including itineraries for the Road Show in your townn.</p>

               <? include("include_appointment.php") ?>
              </div><!-- end col-2/3 -->

            </div><!-- end grid -->
          </div><!-- end content -->
        </section>

      </div><!-- end contentwrapper -->
    </div> <!-- end main -->

  <? include($common_path . "/templates/include_footer.php") ?>
  </div> <!-- container  -->
</body>
<? include($common_path . "/templates/include_global_js.php") ?>
</html>

